---
title: llarp::rpc::RpcServer

---

# llarp::rpc::RpcServer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RpcServer](Classes/structllarp_1_1rpc_1_1RpcServer.md#function-rpcserver)**(LMQ_ptr , [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * ) |
| | **[~RpcServer](Classes/structllarp_1_1rpc_1_1RpcServer.md#function-~rpcserver)**() =default |
| void | **[AsyncServeRPC](Classes/structllarp_1_1rpc_1_1RpcServer.md#function-asyncserverpc)**(oxenmq::address addr) |

## Public Functions Documentation

### function RpcServer

```cpp
explicit RpcServer(
    LMQ_ptr ,
    AbstractRouter * 
)
```


### function ~RpcServer

```cpp
~RpcServer() =default
```


### function AsyncServeRPC

```cpp
void AsyncServeRPC(
    oxenmq::address addr
)
```


-------------------------------

Updated on 2022-10-25 at 00:38:17 +0000